org.eclipse.gef.editparts

## Class GuideLayer

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.Layer
    - - org.eclipse.draw2d.FreeformLayer
      - - org.eclipse.gef.editparts.GuideLayer

All Implemented Interfaces:
  FreeformFigure, IFigure

    public class GuideLayer
    extends FreeformLayer

This is a layer where the guide lines are displayed. The figures in this layer should have a Boolean constraint indicating whether or not they are horizontal guide lines.

Since:
  3.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

### Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`GuideLayer()`

### Method Summary

Methods
`java.lang.Object` `getConstraint(IFigure child)`
`java.util.Map` `getConstraints()`
`Rectangle` `getFreeformExtent()`
`Dimension` `getPreferredSize(int wHint, int hHint)`
`void` `remove(IFigure child)`
`void` `setBounds(Rectangle rect)`
`void` `setConstraint(IFigure child, java.lang.Object constraint)` The constraint is expected to be a Boolean indicating whether the given guide line figure is horizontal or not.

### Methods inherited from class org.eclipse.draw2d.FreeformLayer

`add, addFreeformListener, fireExtentChanged, fireMoved, primTranslate, removeFreeformListener, setFreeformBounds`

### Methods inherited from class org.eclipse.draw2d.Layer

`containsPoint, findFigureAt`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setClippingStrategy, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Constructor Detail

#### GuideLayer

    public GuideLayer()

### Method Detail

#### getConstraint

    public java.lang.Object getConstraint(IFigure child)

Parameters:
  `child` - the figure whose constraint is to be found
Returns:
  the constraint (Boolean indicating whether or not it is horizontal) set for the given IFigure; `null`, if none exists

#### getConstraints

    public java.util.Map getConstraints()

Returns:
  the Map of IFigures to their constraints (Booleans indicating whether or not they are horizontal guide lines)

#### getFreeformExtent

    public Rectangle getFreeformExtent()

Specified by:
  `getFreeformExtent` in interface `FreeformFigure`
Overrides:
  `getFreeformExtent` in class `FreeformLayer`
See Also:
  `FreeformFigure.getFreeformExtent()`

#### getPreferredSize

    public Dimension getPreferredSize(int wHint,
                             int hHint)

Specified by:
  `getPreferredSize` in interface `IFigure`
Overrides:
  `getPreferredSize` in class `Figure`
See Also:
  `IFigure.getPreferredSize(int, int)`

#### remove

    public void remove(IFigure child)

Specified by:
  `remove` in interface `IFigure`
Overrides:
  `remove` in class `FreeformLayer`
See Also:
  `IFigure.remove(org.eclipse.draw2d.IFigure)`

#### setBounds

    public void setBounds(Rectangle rect)

Specified by:
  `setBounds` in interface `IFigure`
Overrides:
  `setBounds` in class `Figure`
See Also:
  `IFigure.setBounds(org.eclipse.draw2d.geometry.Rectangle)`

#### setConstraint

    public void setConstraint(IFigure child,
                     java.lang.Object constraint)

The constraint is expected to be a Boolean indicating whether the given guide line figure is horizontal or not.

Specified by:
  `setConstraint` in interface `IFigure`
Overrides:
  `setConstraint` in class `Figure`
See Also:
  `IFigure.setConstraint(org.eclipse.draw2d.IFigure, java.lang.Object)`